Bug 1200741 - [RFE][BLOCKED] Make disks versionable similar to templates
Summary: [RFE][BLOCKED] Make disks versionable similar to templates
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: ---
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: ---
Assignee: Tal Nisan
QA Contact: Raz Tamir
URL:
Whiteboard:
Depends On: ovirt_refactor_disk_class_hierarchy
Blocks: 1106370 1117489
TreeView+ depends on / blocked
 
Reported: 2015-03-11 10:12 UTC by Tomas Jelinek
Modified: 2019-04-28 14:08 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-29 13:53:05 UTC
oVirt Team: Storage
Embargoed:
ylavi: ovirt-future?
ylavi: planning_ack?
ylavi: devel_ack?
ylavi: testing_ack?


Attachments (Terms of Use)

Description Tomas Jelinek 2015-03-11 10:12:09 UTC
Needed because of the instance types + images feature.
Currently, if the VM attaches a disk, there is no way to tell if I want to be dependent on this specific version of disk image or on a the latest possible.

The RFE is to be able to create new Disks either as a base version or as a new version of some already existing disk. In case the disk is made as a new version of an existing one, all VMs which are based on the latest version of the base disk have to be updated.
The behavior should be exactly as the one with template versions but in a granularity of specific disks.

Comment 1 Red Hat Bugzilla Rules Engine 2015-10-19 10:57:56 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 2 Yaniv Lavi 2016-12-06 09:37:43 UTC
This request is equal to requesting snapshotting on floating\shared disks, no?

Comment 3 Tomas Jelinek 2016-12-06 09:47:36 UTC
No, the new version can be something completely different. Same as for template versions.

Comment 4 Yaniv Lavi 2016-12-06 23:39:47 UTC
(In reply to Tomas Jelinek from comment #3)
> No, the new version can be something completely different. Same as for
> template versions.

So why complicate with versions and not allow replacing the disk used in the instance type?

Comment 5 Tomas Jelinek 2016-12-19 12:42:27 UTC
Because the instance types are not having disks.

Comment 6 Yaniv Lavi 2017-02-27 15:29:57 UTC
(In reply to Tomas Jelinek from comment #5)
> Because the instance types are not having disks.

Why not add disk definition as part of this, if this is different disks?

Comment 7 Tomas Jelinek 2017-04-03 10:36:46 UTC
OK, the original idea was to have the VM composed as instance type + image similar to amazon EC2. And also, to have the disks versionable similar to templates.

This RFE has been opened in time when this had some priority. I believe this is not the case anymore, so feel free to close this RFE.


Note You need to log in before you can comment on or make changes to this bug.